HyperPaxeer NetworkPaxeer Network
API Reference

Get transactions for a wallet

GET
/api/v1/portfolio/{address}/transactions

Returns enriched transaction history with type classification, token transfer details, gas costs, and USD values. Supports pagination.

Path Parameters

address*string

Wallet address (with or without 0x prefix, case-insensitive)

Match^0x[a-fA-F0-9]{40}$

Query Parameters

limit?integer

Maximum number of transactions to return (default 50)

Default50
offset?integer

Number of transactions to skip for pagination

Default0

Response Body

application/json

text/plain

curl -X GET "https://us-east-1.user-stats.sidiora.exchange/api/v1/portfolio/0xf263aB36de550bDa08b52d43eB253b3C0387e2bc/transactions"
[
  {
    "hash": "string",
    "block_number": 0,
    "timestamp": "2019-08-24T14:15:22Z",
    "from_address": "string",
    "to_address": "string",
    "value_raw": "string",
    "value": "string",
    "value_usd": "string",
    "gas_used": "string",
    "gas_price": "string",
    "gas_fee": "string",
    "gas_fee_usd": "string",
    "status": true,
    "tx_type": "transfer",
    "description": "string",
    "token_transfers": [
      {
        "token_address": "string",
        "token_symbol": "string",
        "token_name": "string",
        "token_decimals": 0,
        "from_address": "string",
        "to_address": "string",
        "amount_raw": "string",
        "amount": "string",
        "value_usd": "string",
        "token_type": "ERC-20",
        "token_id": "string",
        "log_index": 0
      }
    ]
  }
]
"string"